Bug 96936 - Opt into layers for fixed positioned elements for TiledDrawingArea
Summary: Opt into layers for fixed positioned elements for TiledDrawingArea
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Beth Dakin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-17 11:37 PDT by Beth Dakin
Modified: 2012-10-14 21:20 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.05 KB, patch)
2012-09-17 11:39 PDT, Beth Dakin
thorton: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beth Dakin 2012-09-17 11:37:20 PDT
In https://bugs.webkit.org/show_bug.cgi?id=96846 I enabled layer for fixed position elements for DrawingAreaImpls (which is good) but accidentally un-enabled them for TiledCoreAnimationDrawingAreas. We need that code in both classes.
Comment 1 Beth Dakin 2012-09-17 11:39:36 PDT
Created attachment 164424 [details]
Patch
Comment 2 Beth Dakin 2012-09-17 11:49:36 PDT
Thanks Tim!

http://trac.webkit.org/changeset/128787
Comment 3 mitz 2012-10-07 19:46:03 PDT
(In reply to comment #2)
> Thanks Tim!
> 
> http://trac.webkit.org/changeset/128787

This change caused the text in the bottom bar at <https://bugs.webkit.org/attachment.cgi?id=167493&action=review> to lose its subpixel antialiasing. Perhaps this is expected, but it’s worrisome that ever since the “ugly text” issue was introduced, it seems to have only gotten worse.
Comment 4 Alexey Proskuryakov 2012-10-08 11:57:57 PDT
This also caused bug 98578 and bug 98579.
Comment 5 mitz 2012-10-14 21:20:43 PDT
(In reply to comment #2)
> http://trac.webkit.org/changeset/128787

This change also caused bug 99290.